com.hazelcast.spi.discovery.multicast

## Class MulticastDiscoveryStrategyFactory

- java.lang.Object
- - com.hazelcast.spi.discovery.multicast.MulticastDiscoveryStrategyFactory

- All Implemented Interfaces:
    DiscoveryStrategyFactory

      public class MulticastDiscoveryStrategyFactory
      extends Object
      implements DiscoveryStrategyFactory

  Factory class which returns `MulticastDiscoveryStrategy` to Discovery SPI

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MulticastDiscoveryStrategyFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<PropertyDefinition>` | `getConfigurationProperties()` Returns a set of the expected configuration properties.
    `Class<? extends DiscoveryStrategy>` | `getDiscoveryStrategyType()` Returns the type of the `DiscoveryStrategy` itself.
    `DiscoveryStrategy` | `newDiscoveryStrategy(DiscoveryNode discoveryNode, ILogger logger, Map<String,Comparable> prop)` Instantiates a new instance of the `DiscoveryStrategy` with the given configuration properties.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MulticastDiscoveryStrategyFactory

          public MulticastDiscoveryStrategyFactory()

  - ### Method Detail

    - #### getDiscoveryStrategyType

          public Class<? extends DiscoveryStrategy> getDiscoveryStrategyType()

      Description copied from interface: `DiscoveryStrategyFactory`
      Returns the type of the `DiscoveryStrategy` itself.
      Specified by:
        `getDiscoveryStrategyType` in interface `DiscoveryStrategyFactory`
      Returns:
        the type of the discovery strategy

    - #### newDiscoveryStrategy

          public DiscoveryStrategy newDiscoveryStrategy(DiscoveryNode discoveryNode,
                                                        ILogger logger,
                                                        Map<String,Comparable> prop)

      Description copied from interface: `DiscoveryStrategyFactory`
      Instantiates a new instance of the `DiscoveryStrategy` with the given configuration properties. The provided `HazelcastInstance` can be used to register instances in a service registry whenever the discovery strategy is started.
      Specified by:
        `newDiscoveryStrategy` in interface `DiscoveryStrategyFactory`
      Parameters:
        `discoveryNode` - the current local `DiscoveryNode`, representing the local connection information if running on a Hazelcast member, otherwise on Hazelcast clients always `null`
        `logger` - the logger instance
        `prop` - the properties parsed from the configuration
      Returns:
        a new instance of the discovery strategy

    - #### getConfigurationProperties

          public Collection<PropertyDefinition> getConfigurationProperties()

      Description copied from interface: `DiscoveryStrategyFactory`
      Returns a set of the expected configuration properties. These properties contain information about the value type of the property, if it is required and a possible validator to automatically test and convert values from the XML configuration.
      Specified by:
        `getConfigurationProperties` in interface `DiscoveryStrategyFactory`
      Returns:
        a set of expected configuration properties

Copyright © 2019. All rights reserved.